Dans la nuit du 20 au 21 juin 2019, notre serveur d’hébergement host135-23 fera l’objet d’une série d’importantes mises à jour. Ces mises à jour se feront sans intervention de votre part mais elles ne sont pas triviales et certaines d’entre elles peuvent s’avérer incompatibles avec votre site web, surtout si celui-ci n’est plus suivi par un webmaster.

Les deux points les plus importants sont le passage à MySQL 5.7 et à une nouvelle branche de php. Par défaut, le nouvel hébergement tournera sur php 7.3. Plusieurs mises à jour différentes de php et de MySQL ont apporté des changements majeurs et des incompatibilités avec du vieux code source. Par exemple, la mise à jour php 7.0 a supprimé les fonctions MySQL qui étaient fortement utilisées, au profit des extensions MySQLi ou PDO_MySQL.

Pourquoi cette intervention ?

Tous les logiciels qui sont utilisés dans le cadre de votre hébergement reçoivent régulièrement des mises à jour de la part de leurs développeurs respectifs, que ce soit pour ajouter de nouvelles fonctionnalités, pour améliorer les performances, mais aussi pour corriger des failles de sécurité parfois importantes.

Les correctifs de sécurité les plus récents ne sont disponibles que pour les dernières versions des logiciels, les développeurs ayant stoppé le support des anciennes versions, et il ne nous est donc malheureusement plus possible de garantir la sécurité de votre hébergement en conservant les versions des logiciels actuellement actifs sur votre hébergement. La mise à jour vers des versions actualisées est donc devenue obligatoire.

Vos avantages :

  • Dernières versions des logiciels : Apache 2.4, MySQL 5.7, php 7.3, …
  • Gain en performances et en réactivité pour votre site web et l’accès à vos e-mails.
  • Plus de sécurité pour vos données en cas de crash hardware.
  • Meilleur temps de remise en route en cas de crash.
  • Peu de temps après la mise à jour, nous mettrons à votre disposition un accès facile aux logs d’erreur (comme c’est le cas pour nos hébergements plus récents).

Points auxquels vous devez faire attention :

  • Php ne sera plus disponible qu’en version 7.2 et 7.3 (et 5.6 temporairement). Vous devez vous assurer que votre code php soit compatible.
  • Il est possible qu’un module php particulier soit nécessaire pour votre hébergement et ne soit plus disponible sur la nouvelle branche php. N’hésitez pas à ouvrir un ticket de support pour que nous puissions analyser le problème en détail.
  • Nouvelle version de MySQL en 5.7.
  • L’ancien webmail « sqwebmail » sera définitivement supprimé. Le webmail actuel reste disponible.

Option alternative : nouvel hébergement

  • Sans intervention de votre part, nos équipes se chargeront de faire la mise à jour durant la nuit du 20 au 21 juin 2019.
  • Si cette date ne vous convient pas, nous pouvons vous ouvrir un nouvel hébergement sur l’un de nos autres serveurs. La migration des données et des emails sera alors à votre charge. Ce nouvel hébergement ne sera activé publiquement qu’à votre demande, ceci vous permettra de faire vos tests et migrer vos données à votre rythme.
  • Lors de la mise à jour de la nuit du 20 au 21 juin, si vous aviez opté pour un nouvel hébergement et que vous ne l’avez pas encore rendu public, votre hébergement actuel sera automatiquement mis à jour avec les autres.
  • Pour demander l’ouverture d’un nouvel hébergement, merci d’utiliser notre formulaire de support (cliquez ici).

Autres informations utiles :

  • Aucune modification de mot de passe n’est prévue. Néanmoins, si vous n’avez plus les mots de passe de votre hébergement, vous pouvez toujours en demander de nouveaux depuis votre espace client sur notre site web.
  • Aucune modification DNS n’est nécessaire.
  • Pas de perturbation e-mail prévue.

Que faire si mon site n’est pas compatible avec php 7.3 ?

La première chose à faire est évidement de voir avec votre webmaster pour mettre à jour votre site.

Si vous n’avez pas de webmaster, sachez qu’outre les restrictions légales, dans le cadre de notre contrat d’hébergement, nous ne pouvons pas intervenir dans le développement de votre site. Nous pouvons néanmoins vous assister via nos services d’infogérance ou vous rediriger vers un de nos partenaires spécialisé dans le développement web.

Nous mettons également à votre disposition php 7.2 et bien que celui-ci ne soit plus supporté ni par l’équipe de développement php, ni par les équipes des distributions linux, nous mettons aussi temporairement à votre disposition php dans sa branche 5.6. Pour utiliser l’une de ces deux branches de php, référez-vous à notre FAQ : https://www.myown.eu/fr/faqmanager/afmmain.aspx?faqid=46

Nous vous rappelons que MyOwn reste à votre écoute et que vous pouvez nous contacter pour tout problème ou toute interrogation via notre formulaire de contact (cliquez ici) ou via e-mail à l’adresse support@myown.be.